import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { Repository } from 'typeorm';
import { Categoria } from './entities/categoria.entity';

@Injectable()
export class CategoriasService {
  constructor(@InjectRepository(Categoria) private repo: Repository<Categoria>) {}
  findAll() { return this.repo.find({ where: { ativo: true } }); }
  findOne(id: string) { return this.repo.findOne({ where: { id } }); }
  create(data: Partial<Categoria>) { return this.repo.save(data); }
  async update(id: string, data: Partial<Categoria>) { await this.repo.update(id, data); return this.findOne(id); }
  async remove(id: string) { await this.repo.update(id, { ativo: false }); }
}
